> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firstanswer.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List cited sources



## OpenAPI

````yaml /pt/api-reference/openapi.yaml get /v1/cited-sources/
openapi: 3.0.3
info:
  title: First Answer API
  version: 1.0.0
servers:
  - url: https://api.firstanswer.ai
    description: Production
security: []
tags:
  - name: Brands
    description: Manage brands in your workspace
  - name: Groups
    description: Organize prompts into groups
  - name: Monitored Competitors
    description: Track competitor visibility
  - name: Monitored Prompts
    description: Track and analyze AI prompts
  - name: Cited Sources
    description: View sources cited in AI responses
  - name: Action Plans
    description: Manage optimization action plans
  - name: Dashboard
    description: Aggregated metrics and insights
paths:
  /v1/cited-sources/:
    get:
      tags:
        - Cited Sources
      summary: List cited sources
      operationId: cited_sources_retrieve
      parameters:
        - in: query
          name: brand_id
          schema:
            type: integer
          required: true
        - in: query
          name: start_date
          schema:
            type: string
            format: date
          description: Start date in YYYY-MM-DD format
          required: true
        - in: query
          name: end_date
          schema:
            type: string
            format: date
          description: End date in YYYY-MM-DD format
          required: true
        - in: query
          name: ai_model
          schema:
            enum:
              - chat_gpt
              - perplexity
              - bing_copilot
              - google_ai
              - gemini
              - grok
              - google_ai_mode
            type: string
            minLength: 1
          description: |-
            * `chat_gpt` - Chat Gpt
            * `perplexity` - Perplexity
            * `bing_copilot` - Bing Copilot
            * `google_ai` - Google Ai
            * `gemini` - Gemini
            * `grok` - Grok
            * `google_ai_mode` - Google Ai Mode
        - in: query
          name: group_id
          schema:
            type: integer
            nullable: true
        - in: query
          name: search
          schema:
            type: string
            nullable: true
            minLength: 1
        - in: query
          name: page
          schema:
            type: integer
        - in: query
          name: per_page
          schema:
            type: integer
            maximum: 100
            minimum: 1
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CitedSourcesList'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CitedSourcesList:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/CitedSources'
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
      required:
        - data
        - pagination
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        details:
          type: object
          additionalProperties: {}
      required:
        - code
        - message
    CitedSources:
      type: object
      properties:
        ai_models:
          type: array
          items:
            type: string
          description: List of AI models that mentioned the domain
        domain_id:
          type: integer
          description: ID of the domain
        domain:
          type: string
          description: Domain name
        impact:
          type: string
          format: decimal
          pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
          description: Impact of the domain on the responses in percentage
        prompts_count:
          type: integer
          description: Number of prompts that responses are related to
        responses_count:
          type: integer
          description: Number of responses that are related to the domain
        urls_count:
          type: integer
          description: Number of URLs that are related to the domain
      required:
        - ai_models
        - domain
        - domain_id
        - impact
        - prompts_count
        - responses_count
        - urls_count
    PaginationInfo:
      type: object
      properties:
        current_page:
          type: integer
        per_page:
          type: integer
        total_pages:
          type: integer
        total_records:
          type: integer
      required:
        - current_page
        - per_page
        - total_pages
        - total_records
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key

````